Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec.rfc7748
Class X25519Field

    java.lang.Object
      org.bouncycastle.math.ec.rfc7748.X25519Field

public abstract class X25519Field
extends java.lang.Object

Field Summary
`static int` | `SIZE`

Constructor Summary
`protected` | `X25519Field()`

Method Summary
`static void` | `add(int[] x, int[] y, int[] z)`
`static void` | `addOne(int[] z)`
`static void` | `addOne(int[] z, int zOff)`
`static void` | `apm(int[] x, int[] y, int[] zp, int[] zm)`
`static int` | `areEqual(int[] x, int[] y)`
`static boolean` | `areEqualVar(int[] x, int[] y)`
`static void` | `carry(int[] z)`
`static void` | `cmov(int cond, int[] x, int xOff, int[] z, int zOff)`
`static void` | `cnegate(int negate, int[] z)`
`static void` | `copy(int[] x, int xOff, int[] z, int zOff)`
`static int[]` | `create()`
`static int[]` | `createTable(int n)`
`static void` | `cswap(int swap, int[] a, int[] b)`
`static void` | `decode(byte[] x, int[] z)` Deprecated. Use `decode255(byte[], int[])` instead.
`static void` | `decode(byte[] x, int xOff, int[] z)` Deprecated. Use `decode255(byte[], int, int[], int)` instead.
`static void` | `decode(byte[] x, int xOff, int[] z, int zOff)` Deprecated. Use `decode255(byte[], int, int[], int)` instead.
`static void` | `decode(int[] x, int xOff, int[] z)` Deprecated. Use `decode255(int[], int, int[], int)` instead.
`static void` | `decode255(byte[] x, int[] z)`
`static void` | `decode255(byte[] x, int xOff, int[] z, int zOff)`
`static void` | `decode255(int[] x, int[] z)`
`static void` | `decode255(int[] x, int xOff, int[] z, int zOff)`
`static void` | `encode(int[] x, byte[] z)`
`static void` | `encode(int[] x, byte[] z, int zOff)`
`static void` | `encode(int[] x, int[] z, int zOff)`
`static void` | `encode(int[] x, int xOff, byte[] z, int zOff)`
`static void` | `inv(int[] x, int[] z)`
`static void` | `invVar(int[] x, int[] z)`
`static int` | `isOne(int[] x)`
`static boolean` | `isOneVar(int[] x)`
`static int` | `isZero(int[] x)`
`static boolean` | `isZeroVar(int[] x)`
`static void` | `mul(int[] x, int[] y, int[] z)`
`static void` | `mul(int[] x, int y, int[] z)`
`static void` | `negate(int[] x, int[] z)`
`static void` | `normalize(int[] z)`
`static void` | `one(int[] z)`
`static void` | `sqr(int[] x, int[] z)`
`static void` | `sqr(int[] x, int n, int[] z)`
`static boolean` | `sqrtRatioVar(int[] u, int[] v, int[] z)`
`static void` | `sub(int[] x, int[] y, int[] z)`
`static void` | `subOne(int[] z)`
`static void` | `zero(int[] z)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Constructor Detail

### X25519Field

    protected X25519Field()

Method Detail

### add

    public static void add(int[] x,
                           int[] y,
                           int[] z)

### addOne

    public static void addOne(int[] z)

### addOne

    public static void addOne(int[] z,
                              int zOff)

### apm

    public static void apm(int[] x,
                           int[] y,
                           int[] zp,
                           int[] zm)

### areEqual

    public static int areEqual(int[] x,
                               int[] y)

### areEqualVar

    public static boolean areEqualVar(int[] x,
                                      int[] y)

### carry

    public static void carry(int[] z)

### cmov

    public static void cmov(int cond,
                            int[] x,
                            int xOff,
                            int[] z,
                            int zOff)

### cnegate

    public static void cnegate(int negate,
                               int[] z)

### copy

    public static void copy(int[] x,
                            int xOff,
                            int[] z,
                            int zOff)

### create

    public static int[] create()

### createTable

    public static int[] createTable(int n)

### cswap

    public static void cswap(int swap,
                             int[] a,
                             int[] b)

### decode

    public static void decode(byte[] x,
                              int[] z)

  Deprecated. Use `decode255(byte[], int[])` instead.

### decode

    public static void decode(byte[] x,
                              int xOff,
                              int[] z)

  Deprecated. Use `decode255(byte[], int, int[], int)` instead.

### decode

    public static void decode(byte[] x,
                              int xOff,
                              int[] z,
                              int zOff)

  Deprecated. Use `decode255(byte[], int, int[], int)` instead.

### decode

    public static void decode(int[] x,
                              int xOff,
                              int[] z)

  Deprecated. Use `decode255(int[], int, int[], int)` instead.

### decode255

    public static void decode255(byte[] x,
                                 int[] z)

### decode255

    public static void decode255(byte[] x,
                                 int xOff,
                                 int[] z,
                                 int zOff)

### decode255

    public static void decode255(int[] x,
                                 int[] z)

### decode255

    public static void decode255(int[] x,
                                 int xOff,
                                 int[] z,
                                 int zOff)

### encode

    public static void encode(int[] x,
                              int[] z,
                              int zOff)

### encode

    public static void encode(int[] x,
                              byte[] z)

### encode

    public static void encode(int[] x,
                              byte[] z,
                              int zOff)

### encode

    public static void encode(int[] x,
                              int xOff,
                              byte[] z,
                              int zOff)

### inv

    public static void inv(int[] x,
                           int[] z)

### invVar

    public static void invVar(int[] x,
                              int[] z)

### isOne

    public static int isOne(int[] x)

### isOneVar

    public static boolean isOneVar(int[] x)

### isZero

    public static int isZero(int[] x)

### isZeroVar

    public static boolean isZeroVar(int[] x)

### mul

    public static void mul(int[] x,
                           int y,
                           int[] z)

### mul

    public static void mul(int[] x,
                           int[] y,
                           int[] z)

### negate

    public static void negate(int[] x,
                              int[] z)

### normalize

    public static void normalize(int[] z)

### one

    public static void one(int[] z)

### sqr

    public static void sqr(int[] x,
                           int[] z)

### sqr

    public static void sqr(int[] x,
                           int n,
                           int[] z)

### sqrtRatioVar

    public static boolean sqrtRatioVar(int[] u,
                                       int[] v,
                                       int[] z)

### sub

    public static void sub(int[] x,
                           int[] y,
                           int[] z)

### subOne

    public static void subOne(int[] z)

### zero

    public static void zero(int[] z)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD